QGIS Application - Bug report #10262
SVG not rendering properly in 1.8 and 2.2
2014-05-13 05:00 PM - Krischelle Love

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 18694
Description

Some SVG symbols are not rendering properly in QGIS 1.8 and 2.2. They were created in Inkscape and render correctly there and in
Internet Explorer and other browsers. In QGIS, there are tails added at the corner where two lines meet.

| have an enterprise application running on 1.8, so if the fix is only going to be implemented on 2.x, | would appreciate ideas for a
workaround.

History

#1 - 2014-05-14 12:33 AM - Giovanni Manghi
- Status changed from Open to Feedback

It renders fine on QGIS master (next 2.4).

#2 - 2014-05-15 03:27 AM - Tobias Schneider
The quality of the SVG-export should also be given highest priority. SVG maps are used very often on Wikipedia and the better QGIS performs, the more
QGiIS-generated pictures will be seen by thousands of people. Also important is the compatibility to Inkscape which is used for the post-processing. But the

exported SVG should also render true in Adobe lllustrator.

See: https://en.wikipedia.org/wiki/Wikipedia:Graphics_Lab/Map_workshop

#3 - 2014-06-23 03:01 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

closing for lack of feedback. Please try again on QGIS master and reopen if necessary.

Files

bypassValve.svg 741 Bytes 2014-05-13 Krischelle Love
Lisboa.JPG 9.47 KB 2014-05-13 Krischelle Love
Dufour.JPG 9.49 KB 2014-05-13 Krischelle Love
